View Issue Details

IDProjectCategoryView StatusLast Update
0001448Far ManagerFile Systempublic2013-04-28 17:35
ReporterMaximusAssigned Toalexy 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001448: Assert в TruncPathStr
Descriptionстек
     far.exe!_wassert(const wchar_t * expr=0x007d4d34, const wchar_t * filename=0x007d4d58, unsigned int lineno=296) Line 163 C
     far.exe!TruncPathStr(wchar_t * Str=0x013a5750, int MaxLength=-1) Line 296 + 0x1e bytes C++
     far.exe!TruncPathStr(UnicodeString & strStr={...}, int MaxLength=-1) Line 341 C++
     far.exe!Panel::GetTitle(UnicodeString & strTitle={...}, int SubLen=-1, int TruncSize=0) Line 2090 C++
> far.exe!KeyMacro::FARPseudoVariable(unsigned long Flags=272, unsigned long CheckCode=526372, unsigned long & Err=0) Line 1376 + 0x1a bytes C++
     far.exe!KeyMacro::GetKey() Line 4453 + 0x20 bytes C++
     far.exe!GetInputRecord(_INPUT_RECORD * rec=0x00d6f98c, bool ExcludeMacro=false, bool ProcessMouse=false) Line 618 + 0xe bytes C++
     far.exe!Manager::ProcessMainLoop() Line 701 + 0x10 bytes C++
     far.exe!Manager::EnterMainLoop() Line 676 + 0x8 bytes C++
     far.exe!MainProcess(const wchar_t * lpwszEditName=0x00d67a30, const wchar_t * lpwszViewName=0x00d67a30, const wchar_t * lpwszDestName1=0x00d63290, const wchar_t * lpwszDestName2=0x00d63328, int StartLine=-1, int StartChar=-1) Line 311 C++
     far.exe!MainProcessSEH(UnicodeString & strEditName={...}, UnicodeString & strViewName={...}, UnicodeString & DestName1={...}, UnicodeString & DestName2={...}, int StartLine=-1, int StartChar=-1) Line 329 + 0x31 bytes C++
     far.exe!wmain(int Argc=4, wchar_t * * Argv=0x00d64a30) Line 634 + 0x1d bytes C++
TagsNo tags attached.
Build3372

Activities

Maximus

2010-07-28 00:32

reporter  

100727.diff.7z (645 bytes)

alexy

2010-07-28 22:35

administrator   bugnote:0005639

Не вижу смысла в таком фиксе. Как по мне так просто надо ассерты выкинуть.

vskirdin

2013-03-01 10:08

administrator   bugnote:0010412

Закрываем?

Issue History

Date Modified Username Field Change
2010-07-28 00:32 Maximus New Issue
2010-07-28 00:32 Maximus File Added: 100727.diff.7z
2010-07-28 22:35 alexy Note Added: 0005639
2013-03-01 10:08 vskirdin Note Added: 0010412
2013-04-28 17:35 alexy Build => 3372
2013-04-28 17:35 alexy Status new => closed
2013-04-28 17:35 alexy Assigned To => alexy
2013-04-28 17:35 alexy Resolution open => fixed
2013-04-28 17:35 alexy Fixed in Version => 3.0